#!/bin/sh
# ============================================================================
#
# asenna.sh
#
# $Revision:   1.0  $
#
# $Modtime:   $
#
# Copyright  2014 by Alf Lindblom
#
# ============================================================================
# $Log:  $
#
# ==========================================================================*/

echo "Asennus"
date
echo "========================================================================" >> asennus.log
echo "Asennus" >> asennus.log
date >> asennus.log
cd ..
pwd

#BDIR=`date +%Y-%d-%e_%k-%M-%S`
BDIR=`date +%F_%H-%M-%S`
echo "Kopioi edellinen versio hakemistoon ed_jkoesihteeri/$BDIR"
echo "Kopioi edellinen versio hakemistoon ed_jkoesihteeri/$BDIR" >> jkoesihteeri_asennus/asennus.log

if [ -e jkoesihteeri/jkoesihteeri_start.sh ]
then
    mkdir ed_jkoesihteeri 2>&1
    mkdir ed_jkoesihteeri/$BDIR 2>&1
    cp -r jkoesihteeri/* ed_jkoesihteeri/$BDIR/ >> jkoesihteeri_asennus/asennus.log 2>&1
fi

echo "Poistetaan edellinen asennus"
echo "Poistetaan edellinen asennus" >> jkoesihteeri_asennus/asennus.log
rm -rf jkoesihteeri >> jkoesihteeri_asennus/asennus.log 2>&1

echo "Pivitetn JKoesihteeri"
echo "Pivitetn JKoesihteeri" >> jkoesihteeri_asennus/asennus.log
sh jkoesihteeri_asennus/untarjkoesihteeri.sh

echo "Check success of untaring"
if [ ! -e jkoesihteeri/resources/conf/koesihteeri.properties -o ! -e jkoesihteeri/jkoesihteeri_start.sh ]
then
    echo "Pivitys eponnistui, palautetaan edellinen versio"
    echo "Pivitys eponnistui, palautetaan edellinen versio"  >> jkoesihteeri_asennus/asennus.log
    rm -rf jkoesihteeri >> jkoesihteeri_asennus/asennus.log 2>&1
    if [ test $1 != "" ]
    then
        if [ -e ed_jkoesihteeri/$BDIR/jkoesihteeri_start.sh ]
        then
            mkdir jkoesihteeri 2>&1
            cp -r ed_jkoesihteeri/$BDIR/* jkoesihteeri/ >> jkoesihteeri_asennus/asennus.log 2>&1
            rm -rf ed_jkoesihteeri/$BDIR/ >> jkoesihteeri_asennus/asennus.log 2>&1
        else
            echo "Edellist versiota ei ole"
            echo "Edellist versiota ei ole"  >> jkoesihteeri_asennus/asennus.log
        fi
    else
         echo "Edellisen version hakemisto ei annettu"
         echo "Edellisen version hakemisto ei annettu"  >> jkoesihteeri_asennus/asennus.log
    fi
    echo "Pivitys eponnistui"
    echo "Pivitys eponnistui" >> jkoesihteeri_asennus/asennus.log
    cd jkoesihteeri_asennus
    exit 1
fi

echo "Kopioidaan MANIFEST.MF"
echo "Kopioidaan MANIFEST.MF" >> jkoesihteeri_asennus/asennus.log
cp jkoesihteeri_asennus/MANIFEST.MF jkoesihteeri/MANIFEST.MF 2>&1
cp jkoesihteeri_asennus/manifest.mf jkoesihteeri/MANIFEST.MF 2>&1

echo "Asetetaan phakemisto $HOME/jkoesihteeri/"
echo "Asetetaan phakemisto $HOME/jkoesihteeri/" >> jkoesihteeri_asennus/asennus.log
echo "ProgDir=$HOME/jkoesihteeri/" >> jkoesihteeri/resources/conf/koesihteeri.properties

echo "Palautetaan edellisen version asetukset"
echo "Palautetaan edellisen version asetukset"    >> jkoesihteeri_asennus/asennus.log

if [ -e $HOME/ed_jkoesihteeri/$BDIR/resources/conf/m_koesihteeri.properties ]
then
   echo "Palautetaan m_koesihteeri.properties"
   echo "Palautetaan m_koesihteeri.properties"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/m_koesihteeri.properties jkoesihteeri/resources/conf/m_koesihteeri.properties 2>&1
elif [ -e ed_jkoesihteeri/$BDIR/resources/conf/koesihteeri.properties ]
then
   echo "Palautetaan koesihteeri.properties"
   echo "Palautetaan koesihteeri.properties"    >> jkoesihteeri_asennus/asennus.log
   cp jkoesihteeri/resources/conf/koesihteeri.properties jkoesihteeri/resources/conf/koesihteeri_org.properties 2>&1
   cp ed_jkoesihteeri/$BDIR/resources/conf/koesihteeri.properties jkoesihteeri/resources/conf/koesihteeri.properties 2>&1
fi

echo "Palautetaan edellisen asennuksen tietokannat"
echo "Palautetaan edellisen asennuksen tietokannat"    >> jkoesihteeri_asennus/asennus.log

if [ -e ed_jkoesihteeri/$BDIR/resources/conf/koirat_data.mdb ]
then
   echo "Palautetaan koirat_data.mdb"
   echo "Palautetaan koirat_data.mdb"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/koirat_data.mdb jkoesihteeri/resources/conf/koirat_data.mdb 2>&1
fi
if [ -e ed_jkoesihteeri/$BDIR/resources/conf/koirat_data.properties ]
then
   echo "Palautetaan koirat_data.properties"
   echo "Palautetaan koirat_data.properties"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/koirat_data.properties jkoesihteeri/resources/conf/koirat_data.properties 2>&1
fi

if [ -e ed_jkoesihteeri/$BDIR/resources/conf/tuomarit_data.mdb ]
then
   echo "Palautetaan tuomarit_data.mdb"
   echo "Palautetaan tuomarit_data.mdb"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/tuomarit_data.mdb jkoesihteeri/resources/conf/tuomarit_data.mdb 2>&1
fi
if [ -e ed_jkoesihteeri/$BDIR/resources/conf/tuomarit_data.properties ]
then
   echo "Palautetaan tuomarit_data.properties"
   echo "Palautetaan tuomarit_data.properties"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/tuomarit_data.properties jkoesihteeri/resources/conf/tuomarit_data.properties 2>&1
fi

if [ -e ed_jkoesihteeri/$BDIR/resources/conf/toim_data.mdb ]
then
   echo "Palautetaan toim_data.mdb"
   echo "Palautetaan toim_data.mdb"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/toim_data.mdb jkoesihteeri/resources/conf/toim_data.mdb 2>&1
fi
if [ -e ed_jkoesihteeri/$BDIR/resources/conf/toim_data.properties ]
then
   echo "Palautetaan toim_data.properties"
   echo "Palautetaan toim_data.properties"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/toim_data.properties jkoesihteeri/resources/conf/toim_data.properties 2>&1
fi

if [ -e ed_jkoesihteeri/$BDIR/resources/conf/siht_data.mdb ]
then
   echo "Palautetaan siht_data.mdb"
   echo "Palautetaan siht_data.mdb"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/siht_data.mdb jkoesihteeri/resources/conf/siht_data.mdb 2>&1
fi
if [ -e ed_jkoesihteeri/$BDIR/resources/conf/siht_data.properties ]
then
   echo "Palautetaan siht_data.properties"
   echo "Palautetaan siht_data.properties"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/siht_data.properties jkoesihteeri/resources/conf/siht_data.properties 2>&1
fi

if [ -e ed_jkoesihteeri/$BDIR/resources/conf/meja_data.mdb ]
then
   echo "Palautetaan meja_data.mdb"
   echo "Palautetaan meja_data.mdb"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/meja_data.mdb jkoesihteeri/resources/conf/meja_data.mdb 2>&1
fi
if [ -e ed_jkoesihteeri/$BDIR/resources/conf/meja_data.properties ]
then
   echo "Palautetaan meja_data.properties"
   echo "Palautetaan meja_data.properties"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/meja_data.properties jkoesihteeri/resources/conf/meja_data.properties 2>&1
fi

if [ -e ed_jkoesihteeri/$BDIR/resources/conf/spa_data.mdb ]
then
   echo "Palautetaan spa_data.mdb"
   echo "Palautetaan spa_data.mdb"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/spa_data.mdb jkoesihteeri/resources/conf/spa_data.mdb 2>&1
fi
if [ -e ed_jkoesihteeri/$BDIR/resources/conf/spa_data.properties ]
then
   echo "Palautetaan spa_data.properties"
   echo "Palautetaan spa_data.properties"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/spa_data.properties jkoesihteeri/resources/conf/spa_data.properties 2>&1
fi

if [ -e ed_jkoesihteeri/$BDIR/resources/conf/lut_data.mdb ]
then
   echo "Palautetaan lut_data.mdb"
   echo "Palautetaan lut_data.mdb"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/lut_data.mdb jkoesihteeri/resources/conf/lut_data.mdb 2>&1
fi
if [ -e ed_jkoesihteeri/$BDIR/resources/conf/lut_data.properties ]
then
   echo "Palautetaan lut_data.properties"
   echo "Palautetaan lut_data.properties"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/lut_data.properties jkoesihteeri/resources/conf/lut_data.properties 2>&1
fi

if [ -e ed_jkoesihteeri/$BDIR/resources/conf/pika_data.mdb ]
then
   echo "Palautetaan pika_data.mdb"
   echo "Palautetaan pika_data.mdb"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/pika_data.mdb jkoesihteeri/resources/conf/pika_data.mdb 2>&1
fi
if [ -e ed_jkoesihteeri/$BDIR/resources/conf/pika_data.properties ]
then
   echo "Palautetaan pika_data.properties"
   echo "Palautetaan pika_data.properties"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/pika_data.properties jkoesihteeri/resources/conf/pika_data.properties 2>&1
fi

if [ -e ed_jkoesihteeri/$BDIR/resources/conf/spme_data.mdb ]
then
   echo "Palautetaan spme_data.mdb"
   echo "Palautetaan spme_data.mdb"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/spme_data.mdb jkoesihteeri/resources/conf/spme_data.mdb 2>&1
fi
if [ -e ed_jkoesihteeri/$BDIR/resources/conf/spme_data.properties ]
then
   echo "Palautetaan spme_data.properties"
   echo "Palautetaan spme_data.properties"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/spme_data.properties jkoesihteeri/resources/conf/spme_data.properties 2>&1
fi

if [ -e ed_jkoesihteeri/$BDIR/resources/conf/veri_data.mdb ]
then
   echo "Palautetaan veri_data.mdb"
   echo "Palautetaan veri_data.mdb"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/veri_data.mdb jkoesihteeri/resources/conf/veri_data.mdb 2>&1
fi
if [ -e ed_jkoesihteeri/$BDIR/resources/conf/veri_data.properties ]
then
   echo "Palautetaan veri_data.properties"
   echo "Palautetaan veri_data.properties"    >> jkoesihteeri_asennus/asennus.log
   cp ed_jkoesihteeri/$BDIR/resources/conf/veri_data.properties jkoesihteeri/resources/conf/veri_data.properties 2>&1
fi

#echo "Asetetaan oikeudet"
#echo "Asetetaan oikeudet"    >> jkoesihteeri_asennus/asennus.log
#chown -R root jkoesihteeri        >> jkoesihteeri_asennus/asennus.log 2>&1
#chown -R root ed_jkoesihteeri     >> jkoesihteeri_asennus/asennus.log 2>&1
#chmod a+x     jkoesihteeri/*.*    >> jkoesihteeri_asennus/asennus.log 2>&1
#chmod -R a+rw jkoesihteeri        >> jkoesihteeri_asennus/asennus.log 2>&1
#chmod a+x     ed_jkoesihteeri/*.* >> jkoesihteeri_asennus/asennus.log 2>&1
#chmod -R a+rw ed_jkoesihteeri     >> jkoesihteeri_asennus/asennus.log 2>&1

echo "Valmis"
echo "Valmis" >> jkoesihteeri_asennus/asennus.log
exit 0

