#!/bin/bash
# ============================================================================
#
# File name: jkoesihteeri_start.sh
#
# $Revision:   1.0  $
#
# $Modtime:   $
#
# Copyright  2015 by Alf Lindblom#
# ============================================================================
# $Log:   $
#
# ==========================================================================*/

# ===============================================================
# Copyright  2015 by Alf Lindblom
#
# Komentoskripti JKoesihteerin kynnistmiseen.
#
# ===============================================================
#
# @author Alf Lindblom
# @version $Revision:   1.0  $ $Modtime:   $


# Mritelln hakemistomuuttujat
export CLASSPATH=$CLASSPATH:build/classes:.:lib/*
export JKOESIH=$HOME/jkoesihteeri

# Switch to Koesihteeri home directory
echo "Siirry hakemistoon $JKOESIH"
cd $JKOESIH
pwd
pwd >> run.log

#Mritelln toimintomuuttujia
export exitvar=0
export startupp=0
export excode=20
export errcount=0
echo "."                                                            >> run.log
echo "============================================================" >> run.log
echo "."                                                            >> run.log
echo "- - - - - - - - - R E S T A R T E D - - - - - - - - - - - -"  >> run.log
date                                                                >> run.log
echo "."                                                            >> run.log
echo "============================================================" >> run.log


while [ $exitvar -eq 0 ]
do

    echo "Loop params: start: $startupp exit: $exitvar"
    echo "Loop params: start: $startupp exit: $exitvar" >> run.log

    if test $startupp -eq 0
    then
        # Start Koesihteeeri application
        echo "Kynnistetn JKoesihteeri Linux kyttjrjestelmss"
        echo "."                                                            >> run.log
        echo "============================================================" >> run.log
        echo "Kynnistetn JKoesihteeri Linux kyttjrjestelmss"        >> run.log
        date                                                                >> run.log
        echo "============================================================" >> run.log
        java fi.alf.koesihteeri.Koesihteeri -conf resources/conf/koesihteeri.properties >> run.log 2>&1
        excode=$?
    fi

    echo "Poistutaan JKoesihteerist"
    echo "Poistutaan JKoesihteerist" >> run.log
    date                              >> run.log
    exitvar=1

done

